package com.rthoni.stssaguenay.business;

import com.luticate.utils.business.LuPromise;
import com.luticate.utils.dbo.LuDataAccessConfigDbo;
import com.rthoni.stssaguenay.dataaccess.StopsDataAccess;
import com.rthoni.stssaguenay.dbo.StopsDbo;

import java.util.List;

/**
 * Created by robin on 9/29/16.
 */
public class StopsBusiness {

    private static List<StopsDbo> _stopsDbos = null;

    public static LuPromise<List<StopsDbo>> getAll(LuDataAccessConfigDbo config)
    {
        final LuPromise<List<StopsDbo>> promise = new LuPromise<>();
        if (_stopsDbos == null) {
            StopsDataAccess.getAll(config).then(new LuPromise.LuConsumer<List<StopsDbo>>() {
                @Override
                public void execute(List<StopsDbo> data) {
                    _stopsDbos = data;
                    promise.resolve(data);
                }
            }, new LuPromise.LuConsumer<LuPromise.LuPromiseError>() {
                @Override
                public void execute(LuPromise.LuPromiseError data) {
                    promise.reject(data);
                }
            });
        }
        else {
            promise.resolve(_stopsDbos);
        }
        return promise;
    }
}
