package com.rthoni.stssaguenay.dbo;

import com.luticate.utils.dbo.LuDbo;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.HashMap;
import java.util.List;
import java.util.Vector;

/**
 * Created by robin on 10/3/16.
 */

public class UsersSettingsDbo extends LuDbo {
    protected List<UserFavouriteStopsDbo> _favouriteStops;

    @Override
    public void fromJson(JSONObject json) throws JSONException {
        _favouriteStops = new Vector<>();
        JSONArray stops = json.getJSONArray("favouriteStops");
        for (int i = 0; i < stops.length(); ++i) {
            UserFavouriteStopsDbo stop = new UserFavouriteStopsDbo();
            stop.fromJson(stops.getJSONObject(i));
            _favouriteStops.add(stop);
        }
    }

    @Override
    public HashMap<String, Object> toArray() {
        HashMap<String, Object> map = new HashMap<>();
        List<HashMap<String, Object>> stops = new Vector<>();
        for (UserFavouriteStopsDbo stop : _favouriteStops) {
            stops.add(stop.toArray());
        }
        map.put("favouriteStops", stops);
        return map;
    }

    public List<UserFavouriteStopsDbo> getFavouriteStops() {
        return _favouriteStops;
    }

    public void setFavouriteStops(List<UserFavouriteStopsDbo> favouriteStops) {
        _favouriteStops = favouriteStops;
    }
}
